Package org.opensaml.saml.metadata.resolver.impl

# Class CompositeMetadataResolver.CompositeMetadataResolverIterable.CompositeMetadataResolverIterator

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.CompositeMetadataResolver.CompositeMetadataResolverIterable.CompositeMetadataResolverIterator

All Implemented Interfaces:
  `Iterator<EntityDescriptor>`

Enclosing class:
  CompositeMetadataResolver.CompositeMetadataResolverIterable

private class CompositeMetadataResolver.CompositeMetadataResolverIterable.CompositeMetadataResolverIterator extends Object implements Iterator<EntityDescriptor>
`Iterator` implementation that lazily iterates over each composed resolver.

## Field Summary

Fields
Modifier and Type
Field
Description
`private MetadataResolver`
`currentResolver`
Current resolver from which we are getting results.
`private Iterator<EntityDescriptor>`
`currentResolverMetadataIterator`
Iterator over the results of the current resolver.
`private Iterator<MetadataResolver>`
`resolverIterator`
Iterator over the composed resolvers.

## Constructor Summary

Constructors
Constructor
Description
`CompositeMetadataResolverIterator()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`EntityDescriptor`
`next()`
`private void`
`proceedToNextResolverIterator()`
Proceed to the next composed resolvers that has a response to the resolution query.
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### resolverIterator

@Nonnull private Iterator<MetadataResolver> resolverIterator
Iterator over the composed resolvers.

### currentResolver

private MetadataResolver currentResolver
Current resolver from which we are getting results.

### currentResolverMetadataIterator

private Iterator<EntityDescriptor> currentResolverMetadataIterator
Iterator over the results of the current resolver.

## Constructor Details

### CompositeMetadataResolverIterator

public CompositeMetadataResolverIterator()
Constructor.

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<EntityDescriptor>`

### next

public EntityDescriptor next()

Specified by:
  `next` in interface `Iterator<EntityDescriptor>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<EntityDescriptor>`

### proceedToNextResolverIterator

private void proceedToNextResolverIterator()
Proceed to the next composed resolvers that has a response to the resolution query.